# CharacterView Plugin

This unofficial TaleSpire plugin is for viewing the map from a character point of view.

## Change Log

```
1.4.1: Switched back to any key to go back to normal
1.4.1: Switched keys to no modifier. Key don't use L and M (already assigned by core TS).
1.4.0: Added look around feature
1.4.0: Fixed height bug
1.3.0: View is now from the Hook Head position (as opposed to the previous hard coded 0.5 height)
1.3.0: Plugin radial menu icon is now accessible without manual install steps
1.3.0: Character view radial option is only available to GM and mini owner
1.2.0: Plugin reported on TaleSpire main page
1.2.0: Option to use or not use Post Processing when in Character View (R2ModMan configuration setting)
1.2.0: Access to Character View can be done using keyboard or mini's radial menu
1.2.0: Any key can be used to revert back to normal view when in character view
1.1.0: Initial Release
```

## Install

Use R2ModMan or similar to install.

## Usage

Select a character and press the ? key to activate Character View and see the map from the selected characters point of view.

In Character View:

```
? = Return back to normal view.
U = Tilt head down
J = Tilt head up
H = Rotate head left
K = Rotate head right
N = Recenter head
```

R2ModMan configuration for the offers the following settings:

Default Tilt Value = Indicates the default head tilt value when Character View is used.
Reset Head = Indicates if the tilt should be reset to the default and the swivel set to 0 when the view returns to normal view.
Use Post Processing = Indicates if post processing is used during Character View. 

Note: Keeping Post Processing turned on during Character View can lead to blury visuals.